Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 462342 - Review Request: crimson - Java XML parser
Summary: Review Request: crimson - Java XML parser
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-09-15 14:44 UTC by John Guthrie
Modified: 2009-03-31 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-31 23:21:08 UTC


Attachments (Terms of Use)

Description John Guthrie 2008-09-15 14:44:41 UTC
Spec URL: http://www.guthrie.info/RPMS/f9/crimson.spec
SRPM URL: http://www.guthrie.info/RPMS/f9/crimson-1.1.3-17.2.fc9.src.rpm
Description: Crimson is a Java XML parser which supports XML 1.0 via the following
APIs:
- Java API for XML Processing (JAXP) 1.1 minus the javax.xml.transform
package. JAXP is a pluggable API that allows applications to access XML
documents in a parser-independent manner. It endorses the industry
standard SAX and DOM APIs and also adds a few classes under the
javax.xml.parsers package to implement pluggability and utility methods
Note: the javax.xml.transform package hierarchy of JAXP is not
implemented by Crimson. One implementation of javax.xml.transform can be
found at Xalan Java 2.
- SAX 2.0
- SAX2 Extensions version 1.0
- DOM Level 2 Core Recommendation

Comment 1 Ville Skyttä 2008-09-15 15:48:07 UTC
AFAIK, the crimson project was hibernated by its upstream in 2002.  Is there some app that specifically requires crimson that cannot with reasonable effort be changed to e.g. use an "alive" XML parser library, or better yet, standard JAXP?

Comment 2 John Guthrie 2008-09-15 17:45:29 UTC
Yes.  I have been able to get freemind-0.9.0-Beta_20 to work quite well.  (This package is part of a push on my part to get FreeMind into Fedora.)  However, it does have crimson as a dependency.  Crimson is listed in some of the classpaths.  I have no idea how difficult it would be to get freemind to use a different library.  Although freemind does use jobx and has some what look like outdated jaxp references listed in some of its various classpaths.  I am still trying to ascertain how critical crimson is to FreeMind.

Comment 3 John Guthrie 2008-09-15 18:19:10 UTC
(In reply to comment #2)
> I am still
> trying to ascertain how critical crimson is to FreeMind.

I have sent a request to the freemind-developers list asking if it is possible to at least ignore, if not remove the crimson dependency from FreeMind.  After taking a closer look at FreeMind, the only dependencies that it may have on crimson are classpath deps.  The string "crimson" does not occur anywhere in the source code.  I would expect at least one occurrence if it were a real dependency.

Comment 4 John Guthrie 2008-09-22 05:29:46 UTC
You can see the reply to my question here:

http://sourceforge.net/forum/forum.php?thread_id=2249090&forum_id=22101

So it looks like it might be worth our while to see if we can remove the dependency on crimson from freemind.  That would obviate the need for this package review request...

Comment 5 Jason Tibbitts 2009-03-25 02:22:49 UTC
So, six months later, what should happen here?  Is there any need for this package?

Comment 6 Jason Tibbitts 2009-03-31 23:21:08 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.